#ifndef ANSBYTETRACK_H
#define ANSBYTETRACK_H
#include "ANSMOT.h"
#include "BYTETracker.h"
namespace ANSCENTER {
    class ANSMOT_API ANSByteTrack :public ANSMOT
    {
    private:
        ByteTrack::BYTETracker tracker;
    public:
        ~ANSByteTrack();
        ANSByteTrack();
        [[nodiscard]] bool UpdateParameters(const std::string& trackerParameters) override;
        [[nodiscard]] std::string Update(int modelId, const std::string& detectionData) override;
        [[nodiscard]] std::vector<TrackerObject> UpdateTracker(int modelId, const std::vector<TrackerObject>& detectionObjects) override;
        [[nodiscard]] bool Destroy() override;
    };
}
#endif 
